//
//  Debug.swift
//  GPUImage_iOS
//
//  Created by ak on 2020/8/25.
//  Copyright © 2020 Sunset Lake Software LLC. All rights reserved.
//

import UIKit

/** 打印 */
func NXLog<T>(message: T, fileName: String = #file, methodName: String = #function, lineNumber: Int = #line) {
    #if DEBUG
        let startTime = CFAbsoluteTimeGetCurrent()
        print("\n startTime:\(startTime) \n func: \((fileName.components(separatedBy: "/").last)!).\(methodName)\n  line: \(lineNumber) \n  message: \(message)")
    #endif
}
